%define major 6
%define libxmu %mklibname xmu %{major}
%define devxmu %mklibname xmu -d

%define xmuumajor 1
%define libxmuu %mklibname xmuu %{xmuumajor}

Name: libxmu
Summary: Xmu Library
Version: 1.1.2
Release: %mkrel 3.1
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXmu-%{version}.tar.bz2

BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libxext-devel >= 1.0.0
BuildRequires: libxt-devel >= 1.0.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.3.0

%description
Xmu Library

#-----------------------------------------------------------

%package -n %{libxmu}
Summary: Xmu Library
Group: Development/X11
Provides: %{name} = %{version}

%description -n %{libxmu}
Xmu Library

%files -n %{libxmu}
%{_libdir}/libXmu.so.%{major}
%{_libdir}/libXmu.so.%{major}.*

#-----------------------------------------------------------

%package -n %{libxmuu}
Summary: Xmuu Library
Group: Development/X11
Provides: %{name}u = %{version}
Conflicts: %{_lib}xmu6 < 1.1.1-4

%description -n %{libxmuu}
Xmuu Library

%files -n %{libxmuu}
%{_libdir}/libXmuu.so.%{xmuumajor}
%{_libdir}/libXmuu.so.%{xmuumajor}.*

#-----------------------------------------------------------

%package -n %{devxmu}
Summary: Development files for %{name} and %{name}u
Group: Development/X11
Requires: %{libxmu} = %{version}-%{release}
Requires: %{libxmuu} = %{version}-%{release}
Provides: libxmu-devel = %{version}-%{release}
Provides: libxmuu-devel = %{version}-%{release}
Obsoletes: %{_lib}xmu6-devel < 1.1.1-4
Obsoletes: %{_lib}xmu6-static-devel < 1.1.1-4

%description -n %{devxmu}
Development files for %{name} and %{name}u.

%files -n %{devxmu}
%{_libdir}/libXmuu.so
%{_libdir}/libXmu.so
%{_libdir}/pkgconfig/xmuu.pc
%{_libdir}/pkgconfig/xmu.pc
%{_includedir}/X11/Xmu/CloseHook.h
%{_includedir}/X11/Xmu/Xct.h
%{_includedir}/X11/Xmu/Xmu.h
%{_includedir}/X11/Xmu/WidgetNode.h
%{_includedir}/X11/Xmu/Atoms.h
%{_includedir}/X11/Xmu/Misc.h
%{_includedir}/X11/Xmu/Converters.h
%{_includedir}/X11/Xmu/StdCmap.h
%{_includedir}/X11/Xmu/ExtAgent.h
%{_includedir}/X11/Xmu/StdSel.h
%{_includedir}/X11/Xmu/WinUtil.h
%{_includedir}/X11/Xmu/DisplayQue.h
%{_includedir}/X11/Xmu/Initer.h
%{_includedir}/X11/Xmu/Lookup.h
%{_includedir}/X11/Xmu/SysUtil.h
%{_includedir}/X11/Xmu/Drawing.h
%{_includedir}/X11/Xmu/Error.h
%{_includedir}/X11/Xmu/EditresP.h
%{_includedir}/X11/Xmu/CvtCache.h
%{_includedir}/X11/Xmu/Editres.h
%{_includedir}/X11/Xmu/CurUtil.h
%{_includedir}/X11/Xmu/CharSet.h
%{_includedir}/X11/Xmu/WhitePoint.h
%{_datadir}/doc/libXmu

#-----------------------------------------------------------

%prep
%setup -q -n libXmu-%{version}

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir} \
		--disable-static

%make

%install
%makeinstall_std

find %{buildroot} -name "*.la" -delete


%changelog
* Wed Jul 05 2017 adrianomorselli <adrianomorselli> 1.1.2-3.1uplos2017
- rebuild for 2017
